Bug 493901 - S-c-tools cleanup: port to PolicyKit
S-c-tools cleanup: port to PolicyKit
Status: NEW
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: FutureFeature
: 502808 (view as bug list)
Depends On:
Blocks: 493594 502765
  Show dependency treegraph
 
Reported: 2009-04-03 06:11 EDT by Roman Rakus
Modified: 2016-05-31 21:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-04-03 06:11:28 EDT
Description of problem:
It's not a good approach to let system config tool runn
under superuser account - it's a security risk. Instead
each tools which needs users privileges should be divided
to two parts - one which serves as privileged backend
running on demand and user interface that can ask for
privileged action over message bus (and ask password if 
needed). Once action is approved by PolicyKit, it can be
processed.

Every tool should be ported to use PolicyKit.

How reproducible:
Steps to Reproduce

Actual results:
System config tool has to be run under superuser account.

Expected results
System config tool is not runned under superuser account
and asks for privileged access. 

Additional info
Look at https://fedorahosted.org/python-slip/
Comment 1 Petr Šplíchal 2009-08-18 04:01:33 EDT
*** Bug 502808 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.